<?php
/**
 * This file is part of the Mappi Relations.
 * Copyright (c) 2015 Grifart spol. s r.o. (https://grifart.cz)
 */

namespace Grifart\Mappi\Tests\Store;

use Mockery;
use Tester;

/**
 * Base class for tests
 * - adding automatic support for Mockery
 *
 * @author jkuchar1
 */
class BaseTest extends Tester\TestCase
{
	public function tearDown()
	{
		parent::tearDown();

		// suppress no assert executed when mocking
		if (count(Mockery::getContainer()->getMocks()) > 0) {
			Tester\Assert::true(true);
		}

		// add support for Mockery
		Mockery::close();
	}
}
