<?php
/**
 * @testCase
 */

namespace Grifart\Mappi\Tests\Cursor;

use Grifart\Mappi\Cursor\Cursor;
use Grifart\Mappi\Tests\Cursor\Driver\ArrayCursorDriver;
use Grifart\Mappi\Cursor\ICursor;

require_once __DIR__ . "/../bootstrap.php";
require_once __DIR__ . "/ICursorTest.php";

class CursorTest extends ICursorTest
{
	/** @var ICursor */
	protected $uut;

	protected function setUp()
	{
		$driver = new ArrayCursorDriver();
		$driver->createTestCursor("test", 1000);
		$this->uut = new Cursor(
			$driver,
			"test"
		);

		parent::setUp();
	}

}

(new CursorTest())->run();
