<?php
/**
 * This file is part of the Mappi Relations.
 * Copyright (c) 2015 Grifart spol. s r.o. (https://grifart.cz)
 */

require __DIR__ . '/../vendor/autoload.php';

if (!class_exists('Tester\Assert')) {
	echo "Install Nette Tester using `composer update --dev`\n";
	exit(1);
}

require __DIR__ . "/BaseTest.php";

$SQL_thousandRowsAscending = <<<SQL
WITH RECURSIVE t(n) AS (
		SELECT 1
	UNION ALL
		SELECT n+1 FROM t
)
SELECT n FROM t LIMIT 1000
SQL;

$connection = new \Dibi\Connection(
	[
		"driver" => "postgre",
		"host"   => "localhost",
		"dbname" => "mappi-store-test",
		"port"   => "5434",
		"user"   => "postgres",
		"password"=>"toor",
		"lazy"    => true
	]
);

//Kdyby\TesterExtras\Bootstrap::setup(__DIR__);

Tracy\Debugger::$logDirectory = __DIR__ . '/logs';

//$configurator = new Nette\Configurator;
//$configurator->setTempDirectory(__DIR__ . '/tmp');
//
//$configurator->addConfig(__DIR__ . '/config.test.neon');
//return $configurator->createContainer();
